Subject: Re: progamming with Cygwin GNU Readline Library
From: Hiroo Hayashi <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 13 Jan 2002 10:53:10 -0500 (CDT)

Charles,

Charles> Try the readline-4.2a-1 package (along with libreadline5) which were 
Charles> just announced.  With that package, your bug.c program returns the 
Charles> correct results...

I've tried, but still have same wrong result.

I installed on the next step;
	1st setup
		readline4.2a-1
	2nd setup
		libreadline4
		libreadline5

I think this is correct. Am I missing something?

Hiroo Hayashi

------------------------------------------------------------------------
(HERBIE) hiroo[425] gcc bug.c -static -lreadline -lncurses
(HERBIE) hiroo[426] ./a.exe
4.2a
row=25, col=79
row=10, col=19
(HERBIE) hiroo[427]
------------------------------------------------------------------------

bug.c (not changed)
------------------------------------------------------------------------
#include <stdio.h>
#include <readline/readline.h>
main(){
	int	row, col;

	rl_initialize();

	puts(rl_library_version);

	rl_get_screen_size(&row, &col);
	printf("row=%d, col=%d\n", row, col);

	rl_set_screen_size(10, 20);
	rl_get_screen_size(&row, &col);
	printf("row=%d, col=%d\n", row, col);
}
------------------------------------------------------------------------

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/